maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jason van Zyl (JIRA)" <j...@codehaus.org>
Subject [jira] Moved: (MANTRUN-70) Extensions for Ant target dependency stopped working in Maven 2.0.5 Candidate build
Date Sun, 01 Apr 2007 13:55:19 GMT

     [ http://jira.codehaus.org/browse/MANTRUN-70?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jason van Zyl moved MANTTASKS-8 to MANTRUN-70:
----------------------------------------------

    Complexity:   (was: Intermediate)
           Key: MANTRUN-70  (was: MANTTASKS-8)
       Project: Maven 2.x Antrun Plugin  (was: Maven 2.x Ant Tasks)

> Extensions for Ant target dependency stopped working in Maven 2.0.5 Candidate build
> -----------------------------------------------------------------------------------
>
>                 Key: MANTRUN-70
>                 URL: http://jira.codehaus.org/browse/MANTRUN-70
>             Project: Maven 2.x Antrun Plugin
>          Issue Type: Bug
>            Reporter: Stephen Duncan Jr
>
> I have a POM where I configure the XFire ws-gen Ant task,  and I have specified the xfire
jar containing that Ant task as a build extension.  In Maven 2.0.4 this worked, it does not
in the latest build of Maven 2.0.5.  the following error occurs:
> [INFO] [antrun:run {execution: default}]
> [INFO] Executing tasks
> [INFO] ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO] ------------------------------------------------------------------------
> [INFO] Error executing ant tasks
> Embedded error: taskdef class org.codehaus.xfire.gen.WsGenTask cannot be found
> [INFO] ------------------------------------------------------------------------
> The extensions section is:
>                 <extensions>
>                         <extension>
>                                 <groupId>org.codehaus.xfire</groupId>
>                                 <artifactId>xfire-generator</artifactId>
>                                 <version>1.2.4</version>
>                         </extension>
>                 </extensions>
> And the Antrun plugin configuration:
>                         <plugin>
>                                 <artifactId>maven-antrun-plugin</artifactId>
>                                 <executions>
>                                         <execution>
>                                                 <phase>generate-sources</phase>
>                                                 <goals>
>                                                         <goal>run</goal>
>                                                 </goals>
>                                                 <configuration>
>                                                         <sourceRoot>${project.build.directory}/generated-sources/java</sourceRoot>
>                                                         <tasks>
>                                                                 <taskdef name="wsgen"
classname="org.codehaus.xfire.gen.WsGenTask" classpathref="maven.test.classpath"/>
>                                                                  .......................
> I'm not sure if this was 'supposed' to work before or if I was choosing the wrong mechanism,
but it does break one of my builds when switching from Maven 2.0.4 to 2.0.5

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message